## ros-rolling-rviz-rendering 9.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_rendering)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

# Tests currently only run on OS X @ OSRF jenkins
# Enable on Linux by providing a display, enable on Windows via EnableDisplayTests=True
option(EnableDisplayTests "EnableDisplayTests")
set(DisplayTests "False" CACHE STRING "DisplayTestsVariable")

if(DEFINED ENV{DISPLAY})
  set(DISPLAYPRESENT TRUE)
endif()

if(APPLE OR DISPLAYPRESENT OR EnableDisplayTests STREQUAL "True")
  message(STATUS "Enabling tests requiring a display")
else()
  set(SKIP_DISPLAY_TESTS "SKIP_TEST")
endif()

find_package(ament_cmake REQUIRED)

# do find_package(rviz_ogre_vendor) first to make sure the custom OGRE is found
find_package(rviz_ogre_vendor REQUIRED)
find_package(rviz_assimp_vendor REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets)

find_package(ament_index_cpp REQUIRED)
find_package(eigen3_cmake_module REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(resource_retriever REQUIRED)

# TODO(wjwwood): this block is to setup the windeployqt tool, could be removed later.
if(Qt5_FOUND AND WIN32 AND TARGET Qt5::qmake AND NOT TARGET Qt5::windeployqt)
  get_target_property(_qt5_qmake_location Qt5::qmake IMPORTED_LOCATION)

  execute_process(
    COMMAND "${_qt5_qmake_location}" -query QT_INSTALL_PREFIX
    RESULT_VARIABLE return_code
    OUTPUT_VARIABLE qt5_install_prefix
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  set(imported_location "${qt5_install_prefix}/bin/windeployqt.exe")

  if(EXISTS ${imported_location})
    add_executable(Qt5::windeployqt IMPORTED)

    set_target_properties(Qt5::windeployqt PROPERTIES
      IMPORTED_LOCATION ${imported_location}
    )
  endif()
endif()

# These need to be added in the add_library() call
qt5_wrap_cpp(rviz_rendering_moc_files include/rviz_rendering/render_window.hpp)

add_library(rviz_rendering SHARED
  ${rviz_rendering_moc_files}
  src/rviz_rendering/apply_visibility_bits.cpp
  src/rviz_rendering/geometry.cpp
  src/rviz_rendering/viewport_projection_finder.cpp
  src/rviz_rendering/logging.cpp
  src/rviz_rendering/material_manager.cpp
  src/rviz_rendering/mesh_loader.cpp
  src/rviz_rendering/ogre_logging.cpp
  src/rviz_rendering/ogre_render_window_impl.cpp
  src/rviz_rendering/orthographic.cpp
  src/rviz_rendering/render_system.cpp
  src/rviz_rendering/render_window.cpp
  src/rviz_rendering/resource_config.cpp
  src/rviz_rendering/mesh_loader_helpers/stl_loader.cpp
  src/rviz_rendering/mesh_loader_helpers/assimp_loader.cpp
  src/rviz_rendering/string_helper.cpp
  src/rviz_rendering/objects/arrow.cpp
  src/rviz_rendering/objects/axes.cpp
  src/rviz_rendering/objects/billboard_line.cpp
  src/rviz_rendering/objects/covariance_visual.cpp
  src/rviz_rendering/objects/grid.cpp
  src/rviz_rendering/objects/line.cpp
  src/rviz_rendering/objects/movable_text.cpp
  src/rviz_rendering/objects/object.cpp
  src/rviz_rendering/objects/point_cloud.cpp
  src/rviz_rendering/objects/point_cloud_renderable.cpp
  src/rviz_rendering/objects/shape.cpp
  src/rviz_rendering/objects/wrench_visual.cpp
)

target_link_libraries(rviz_rendering
  PUBLIC
  rviz_ogre_vendor::OgreMain
  rviz_ogre_vendor::OgreOverlay
  Qt5::Widgets
  ament_index_cpp::ament_index_cpp
  resource_retriever::resource_retriever
)

target_include_directories(rviz_rendering
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
    ${Eigen3_INCLUDE_DIRS}
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(rviz_rendering PRIVATE "RVIZ_RENDERING_BUILDING_LIBRARY")

ament_export_targets(rviz_rendering)
ament_target_dependencies(rviz_rendering
  SYSTEM PUBLIC
  rviz_assimp_vendor
)
ament_export_dependencies(
  rviz_assimp_vendor
  rviz_ogre_vendor
  eigen3_cmake_module
  Eigen3
  resource_retriever
  ament_index_cpp)

ament_export_include_directories(include)
ament_export_libraries(rviz_rendering)

install(
  TARGETS rviz_rendering
  EXPORT rviz_rendering
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  INCLUDES DESTINATION include
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY include/
  DESTINATION include
)

set(rviz_rendering_DIR "${CMAKE_CURRENT_SOURCE_DIR}/src/cmake")
include(${CMAKE_CURRENT_SOURCE_DIR}/src/cmake/register_rviz_ogre_media_exports_hook-extras.cmake)

install(DIRECTORY src/cmake
  DESTINATION share/${PROJECT_NAME})

install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/ogre_media"
  DESTINATION "share/${PROJECT_NAME}"
  USE_SOURCE_PERMISSIONS)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_cmake_gtest REQUIRED)

  add_library(rviz_rendering_test_utils
    test/rviz_rendering/ogre_testing_environment.cpp
    test/rviz_rendering/scene_graph_introspection.cpp
  )
  target_link_libraries(rviz_rendering_test_utils
    PUBLIC
    rviz_ogre_vendor::OgreMain
    rviz_rendering
  )

  ament_add_gmock(string_helper_test test/rviz_rendering/string_helper_test.cpp)
  if(TARGET string_helper_test)
    target_link_libraries(string_helper_test rviz_rendering)
  endif()

  ament_add_gmock(point_cloud_test_target
    test/rviz_rendering/objects/point_cloud_test.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET point_cloud_test_target)
    target_link_libraries(point_cloud_test_target
      rviz_ogre_vendor::OgreMain
      rviz_rendering
      rviz_rendering_test_utils
      Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
    )
  endif()

  ament_add_gmock(point_cloud_renderable_test_target
    test/rviz_rendering/objects/point_cloud_renderable_test.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET point_cloud_renderable_test_target)
    target_link_libraries(point_cloud_renderable_test_target
      rviz_ogre_vendor::OgreMain
      rviz_rendering
      rviz_rendering_test_utils
      Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
    )
  endif()

  ament_add_gmock(billboard_line_test_target
    test/rviz_rendering/objects/billboard_line_test.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET billboard_line_test_target)
    target_link_libraries(billboard_line_test_target
      rviz_ogre_vendor::OgreMain
      rviz_rendering
      rviz_rendering_test_utils
      Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
    )
  endif()

  ament_add_gmock(covariance_visual_test_target
    test/rviz_rendering/objects/covariance_visual_test.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET covariance_visual_test_target)
    target_link_libraries(covariance_visual_test_target
      rviz_ogre_vendor::OgreMain
      rviz_rendering
      rviz_rendering_test_utils
      Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
    )
  endif()

  ament_add_gmock(grid_test_target
    test/rviz_rendering/objects/grid_test.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET grid_test_target)
    target_link_libraries(grid_test_target
      rviz_ogre_vendor::OgreMain
      rviz_rendering
      rviz_rendering_test_utils
      Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
    )
  endif()

  ament_add_gmock(movable_text_test_target
    test/rviz_rendering/objects/movable_text_test.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET movable_text_test_target)
    target_link_libraries(movable_text_test_target
      rviz_ogre_vendor::OgreMain
      rviz_ogre_vendor::OgreOverlay
      rviz_rendering
      rviz_rendering_test_utils
      Qt5::Widgets
    )
  endif()

  ament_add_gmock(line_test_target
    test/rviz_rendering/objects/line_test.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET line_test_target)
    target_link_libraries(line_test_target
      rviz_ogre_vendor::OgreMain
      rviz_rendering
      rviz_rendering_test_utils
      Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
    )
  endif()

  ament_add_gmock(wrench_visual_test_target
    test/rviz_rendering/objects/wrench_visual_test.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET wrench_visual_test_target)
    target_link_libraries(wrench_visual_test_target
      rviz_ogre_vendor::OgreMain
      rviz_rendering
      rviz_rendering_test_utils
      Qt5::Widgets  # explicitly do this for include directories (not necessary for external use)
    )
  endif()
endif()

list(APPEND ${PROJECT_NAME}_CONFIG_EXTRAS
  "${CMAKE_CURRENT_SOURCE_DIR}/src/cmake/register_rviz_ogre_media_exports_hook-extras.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/src/cmake/register_rviz_ogre_media_exports.cmake")

ament_package(
  CONFIG_EXTRAS "rviz_rendering-extras.cmake"
)

=== debian/changelog ===
ros-rolling-rviz-rendering (9.1.1-1focal) focal; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-rviz-rendering (9.1.0-1focal) focal; urgency=high

  * Fix cpplint errors (#818 <https://github.com/ros2/rviz/issues/818>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rviz-rendering (9.0.1-1focal) focal; urgency=high

  * Fixes for uncrustify 0.72 (#807 <https://github.com/ros2/rviz/issues/807>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rviz-rendering (9.0.0-1focal) focal; urgency=high

  * Suppress assimp warnings in rviz_rendering build (#775 <https://github.com/ros2/rviz/issues/775>)
  * Fix for ogre failing when material already exists (#729 <https://github.com/ros2/rviz/issues/729>)
  * Contributors: Scott K Logan, Wolf Vollprecht

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-rviz-rendering (8.7.0-1focal) focal; urgency=high

  * Removed some memory leaks in rviz_rendering and rviz_rendering_tests (#710 <https://github.com/ros2/rviz/issues/710>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-rviz-rendering (8.6.0-1focal) focal; urgency=high

  * Export Qt5 dependencies properly (#687 <https://github.com/ros2/rviz/issues/687>)
  * Putting glsl 1.50 resources back in RenderSystem (#668 <https://github.com/ros2/rviz/issues/668>)
  * Contributors: Michel Hidalgo, Piotr Jaroszek

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 May 2021 07:00:00 -0000

ros-rolling-rviz-rendering (8.5.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rviz-rendering (8.4.0-1focal) focal; urgency=high

  * reset current line width when calculating text width (#655 <https://github.com/ros2/rviz/issues/655>)
  * Silence a dead store warning. (#643 <https://github.com/ros2/rviz/issues/643>)
  * Fix a memory leak when using the ResourceIOSystem. (#641 <https://github.com/ros2/rviz/issues/641>)
  * Contributors: Chris Lalancette, ipa-fez

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rviz-rendering (8.3.1-1focal) focal; urgency=high

  * Revert "Support loading meshes other than .mesh and .stl with package URIs (#610 <https://github.com/ros2/rviz/issues/610>)" (#638 <https://github.com/ros2/rviz/issues/638>)
  * Contributors: Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rviz-rendering (8.3.0-1focal) focal; urgency=high

  * Prevent rviz_rendering::AssimpLoader from loading materials twice. (#622 <https://github.com/ros2/rviz/issues/622>)
  * Support loading meshes other than .mesh and .stl with package URIs (#610 <https://github.com/ros2/rviz/issues/610>)
  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Switch to nullptr everywhere. (#592 <https://github.com/ros2/rviz/issues/592>)
  * Use retriever.hpp (#589 <https://github.com/ros2/rviz/issues/589>)
  * Avoid hidding base class getRenderOperation in PointCloudRenderable (#586 <https://github.com/ros2/rviz/issues/586>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic, Jacob Perron, Michel Hidalgo, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rviz-rendering (8.2.0-1focal) focal; urgency=high

  * Changed to not install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-rolling-rviz-rendering (8.1.1-1focal) focal; urgency=high

  * avoid absolute OGRE path in exported targets (#558 <https://github.com/ros2/rviz/issues/558>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rviz-rendering (8.1.0-1focal) focal; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rviz-rendering (8.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-rolling-rviz-rendering (8.0.2-1focal) focal; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Added workaround for Eigen build bug (#546 <https://github.com/ros2/rviz/issues/546>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Thu, 21 May 2020 07:00:00 -0000

ros-rolling-rviz-rendering (8.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 07 May 2020 07:00:00 -0000

ros-rolling-rviz-rendering (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Removed duplicate include dirs and link libraries. (#533 <https://github.com/ros2/rviz/issues/533>)
  * Changed to use ``ament_export_targets()``. (#525 <https://github.com/ros2/rviz/issues/525>)
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Migrated the pose with covariance display. (#471 <https://github.com/ros2/rviz/issues/471>)


=== debian/control ===
Source: ros-rolling-rviz-rendering
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-cppcheck, ros-rolling-ament-cmake-cpplint, ros-rolling-ament-cmake-gmock, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-lint-cmake, ros-rolling-ament-cmake-uncrustify, ros-rolling-ament-cmake-xmllint, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto, ros-rolling-eigen3-cmake-module, ros-rolling-resource-retriever, ros-rolling-rviz-assimp-vendor, ros-rolling-rviz-ogre-vendor, ros-rolling-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-rolling-rviz-rendering
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, qtbase5-dev, ros-rolling-ament-index-cpp, ros-rolling-eigen3-cmake-module, ros-rolling-resource-retriever, ros-rolling-rviz-assimp-vendor, ros-rolling-rviz-ogre-vendor, ros-rolling-ros-workspace
Description: Library which provides the 3D rendering functionality in rviz.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz-rendering//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-rviz-rendering//opt/ros/rolling/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-rolling-rviz-rendering//opt/ros/rolling/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-rolling-rviz-rendering//opt/ros/rolling/opt/rviz_yaml_cpp_vendor/lib/


override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rviz-rendering 13.1.0

=== debian/changelog ===
ros-rolling-rviz-rendering (13.1.0-1jammy) jammy; urgency=high

  * make box-mode point cloud shader lighter on top than bottom (#1058 <https://github.com/ros2/rviz/issues/1058>)
  * Removed warning when building in release mode (#1057 <https://github.com/ros2/rviz/issues/1057>)
  * Fixed low FPS when sending point markers (#1049 <https://github.com/ros2/rviz/issues/1049>)
  * Removed unused code (#1044 <https://github.com/ros2/rviz/issues/1044>)
  * Contributors: Alejandro Hernández Cordero, Morgan Quigley

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rviz-rendering (13.0.0-1jammy) jammy; urgency=high

  * Fix the flakey rviz_rendering tests (#1026 <https://github.com/ros2/rviz/issues/1026>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rviz-rendering (12.8.0-1jammy) jammy; urgency=high

  * Added TwistStamped and AccelStamped default plugins (#991 <https://github.com/ros2/rviz/issues/991>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Aug 2023 00:00:00 -0000

ros-rolling-rviz-rendering (12.7.0-1jammy) jammy; urgency=high

  * Added Effort plugin (#990 <https://github.com/ros2/rviz/issues/990>)
  * load GLB meshes (#1001 <https://github.com/ros2/rviz/issues/1001>)
  * Fixed camera default plusin crash (#999 <https://github.com/ros2/rviz/issues/999>)
  * Contributors: Alejandro Hernández Cordero, Morgan Quigley

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rviz-rendering (12.6.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rviz-rendering (12.6.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rviz-rendering (12.5.1-1jammy) jammy; urgency=high

  * Clean Code (#975 <https://github.com/ros2/rviz/issues/975>)
    * Clean Code
  * Contributors: mosfet80

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rviz-rendering (12.5.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rviz-rendering (12.4.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rviz-rendering (12.3.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-rviz-rendering (12.3.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rviz-rendering (12.3.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#923 <https://github.com/ros2/rviz/issues/923>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rviz-rendering (12.2.0-1jammy) jammy; urgency=high

  * add test to ensure binary STL files from SOLIDWORKS get imported without a warning (#917 <https://github.com/ros2/rviz/issues/917>)
  * Contributors: Kenji Brameld

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-rolling-rviz-rendering (12.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rviz-rendering (12.0.0-1jammy) jammy; urgency=high

  * Ogre 1.12.10 upgrade (#878 <https://github.com/ros2/rviz/issues/878>)
  * Contributors: Kenji Brameld

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rviz-rendering (11.3.0-1jammy) jammy; urgency=high

  * Stop using glsl150 resources for now. (#851 <https://github.com/ros2/rviz/issues/851>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Apr 2022 00:00:00 -0000

ros-rolling-rviz-rendering (11.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rviz-rendering (11.1.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-rviz-rendering (11.1.0-1jammy) jammy; urgency=high

  * Make getVerticesPerPoint method public and improve tests (#843 <https://github.com/ros2/rviz/issues/843>)
  * Disable class-memaccess warnings for Eigen (#838 <https://github.com/ros2/rviz/issues/838>)
  * Contributors: Chris Lalancette, Jorge Perez

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-rviz-rendering (11.0.0-1jammy) jammy; urgency=high

  * Disable a warning when including Eigen. (#835 <https://github.com/ros2/rviz/issues/835>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rviz-rendering (10.0.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#829 <https://github.com/ros2/rviz/issues/829>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 16 Feb 2022 00:00:00 -0000

ros-rolling-rviz-rendering (9.1.1-1jammy) jammy; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-rolling-rviz-rendering (9.1.0-1jammy) jammy; urgency=high

  * Fix cpplint errors (#818 <https://github.com/ros2/rviz/issues/818>)
  * Contributors: Jacob Perron



=== debian/control ===
Source: ros-rolling-rviz-rendering
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-cppcheck <!nocheck>, ros-rolling-ament-cmake-cpplint <!nocheck>, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-lint-cmake <!nocheck>, ros-rolling-ament-cmake-uncrustify <!nocheck>, ros-rolling-ament-cmake-xmllint <!nocheck>, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-eigen3-cmake-module, ros-rolling-resource-retriever, ros-rolling-rviz-assimp-vendor, ros-rolling-rviz-assimp-vendor <!nocheck>, ros-rolling-rviz-ogre-vendor, ros-rolling-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-rolling-rviz-rendering
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, qtbase5-dev, ros-rolling-ament-index-cpp, ros-rolling-eigen3-cmake-module, ros-rolling-resource-retriever, ros-rolling-rviz-assimp-vendor, ros-rolling-rviz-ogre-vendor, ros-rolling-ros-workspace
Description: Library which provides the 3D rendering functionality in rviz.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -51,8 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz-rendering//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-rviz-rendering//opt/ros/rolling/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-rolling-rviz-rendering//opt/ros/rolling/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-rolling-rviz-rendering//opt/ros/rolling/opt/rviz_yaml_cpp_vendor/lib/
-
+	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz-rendering//opt/ros/rolling/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
